gslstatistics_lib = static_library('gslstatistics',
	[
		'mean.c',
		'variance.c',
		'absdev.c',
		'skew.c',
		'kurtosis.c',
		'lag1.c',
		'p_variance.c',
		'minmax.c',
		'ttest.c',
		'median.c',
		'covariance.c',
		'quantiles.c',
		'wmean.c',
		'wvariance.c',
		'wabsdev.c',
		'wskew.c',
		'wkurtosis.c'
	],
	include_directories : '..'
)
gslstatistics_dep = declare_dependency(link_with : gslstatistics_lib)


gsl_tests += [ [ 'GSL Statistics Test', files('test.c', 'test_nist.c') ] ]
